Bug 217848 - print/cups-filters: Update to 1.13.4
Summary: print/cups-filters: Update to 1.13.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthew Rezny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-16 16:38 UTC by Naram Qashat
Modified: 2017-04-10 14:43 UTC (History)
2 users (show)

See Also:
robak: maintainer-feedback+


Attachments
cups-filters-1.13.4.patch (4.20 KB, patch)
2017-03-16 16:38 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
Make MuPDF dependency and renderer selectable (1.84 KB, patch)
2017-03-27 21:49 UTC, Raivo Hool
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2017-03-16 16:38:55 UTC
Created attachment 180879 [details]
cups-filters-1.13.4.patch

* Update to 1.13.4
* Add LICENSE
* Add dependency to mupdf
* Update distinfo
* Update pkg-plist
* Add patches to filter/gstoraster.c and filter/mupdftoraster.c due to execvpe() not existing under FreeBSD

I cannot find a public version of the changelog.

Tested with poudriere for 10-i386, 10-amd64, 11-i386 and 11-amd64. Passes portlint.
Comment 1 commit-hook freebsd_committer 2017-03-22 14:08:03 UTC
A commit references this bug:

Author: robak
Date: Wed Mar 22 14:07:53 UTC 2017
New revision: 436699
URL: https://svnweb.freebsd.org/changeset/ports/436699

Log:
  print/cups-filters: update 1.11.4 -> 1.13.4

  * Add LICENSE
  * Add dependency to mupdf
  * Update distinfo
  * Update pkg-plist
  * Add patches to filter/gstoraster.c and filter/mupdftoraster.c due
    to execvpe() not existing under FreeBSD

  PR:		217848
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

Changes:
  head/print/cups-filters/Makefile
  head/print/cups-filters/distinfo
  head/print/cups-filters/files/patch-filter_gstoraster.c
  head/print/cups-filters/files/patch-filter_mupdftoraster.c
  head/print/cups-filters/pkg-plist
Comment 2 Bartek Rutkowski freebsd_committer 2017-03-22 14:09:25 UTC
Committed, thanks!
Comment 3 Raivo Hool 2017-03-27 21:49:26 UTC
Created attachment 181246 [details]
Make MuPDF dependency and renderer selectable

I noticed that graphics/mupdf was added as a hard dependency and started pulling in all kinds X11/GL ports that a headless server hardly ever needs, so I made the MuPDF dependency conditional. In addition, I added it as a selectable renderer akin to the GS, Poppler and Hybrid renderers already available, as MuPDF support was incorporated to provide a more lightweight alternative to those, and incorporating it via a simple OPTION just adds the dependency without actually making use of the renderer.

--with-pdftops=value Set which pdftops to use
                          (gs,pdftops,pdftocairo,acroread,mupdf,hybrid).
Comment 4 Naram Qashat 2017-03-27 22:30:32 UTC
Comment on attachment 181246 [details]
Make MuPDF dependency and renderer selectable

Patch looks acceptable to me.
Comment 5 Naram Qashat 2017-03-27 22:31:08 UTC
Marking this as Open again so it can be on the radar.
Comment 6 commit-hook freebsd_committer 2017-04-10 14:42:24 UTC
A commit references this bug:

Author: rezny
Date: Mon Apr 10 14:41:33 UTC 2017
New revision: 438171
URL: https://svnweb.freebsd.org/changeset/ports/438171

Log:
  Add a MUPDF option under PDFTOPS_RENDERER. When activated, mupdf will be used
  instead of Ghostscript/Poppler. When inactive, mupdf is not a dependency.

  PR:		217848
  Submitted by:	raivo.hool@gmail.com
  Reviewed by:	mat
  Approved by:	swills (mentor), cyberbotx@cyberbotx.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D10325

Changes:
  head/print/cups-filters/Makefile
  head/print/cups-filters/pkg-plist